%global provider_dir %{_libdir}/cmpi/

Name:           sblim-smis-hba
Version:        1.0.0
Release:        20%{?dist}
Summary:        SBLIM SMIS HBA HDR Providers

Group:          Applications/System
License:        EPL
URL:            http://sblim.wiki.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2

# Patch0: upstream tarball doesn't contain testsuite but default Makefile is going to build it
Patch0:         sblim-smis-hba-1.0.0-no-testsuite.patch
Patch1:         sblim-smis-hba-1.0.0-include.patch
Patch2:         sblim-smis-hba-1.0.0-registration-fix.patch
# Patch3: upstream
Patch3:         sblim-smis-hba-1.0.0-pegasus-registration.patch
# Patch4: fix documentation path
Patch4:         sblim-smis-hba-1.0.0-doc-path.patch
# Patch5: call systemctl in provider registration
Patch5:         sblim-smis-hba-1.0.0-prov-reg-sfcb-systemd.patch
# Patch6: use Pegasus root/interop instead of root/PG_Interop
Patch6:         sblim-smis-hba-1.0.0-pegasus-interop.patch

BuildRequires:  sblim-cmpi-devel, sblim-cmpi-base-devel
BuildRequires:  libhbaapi-devel
BuildRequires:  autoconf, automake, libtool
BuildRequires:  curl-devel, perl-interpreter, libsysfs-devel
BuildRequires:  binutils-devel, autoconf, automake, libtool, flex, bison

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires:       libhbaapi
Requires:       sblim-cmpi-base cim-server

%description
SMI-S standards based HBA CMPI Providers.

%prep
%setup -q
%patch0 -p1 -b .no-testsuite
%patch1 -p2 -b .include
%patch2 -p1 -b .registration-fix
%patch3 -p0 -b .pegasus-registration
%patch4 -p1 -b .doc-path
%patch5 -p1 -b .prov-reg-sfcb-systemd
%patch6 -p1 -b .pegasus-interop
autoreconf -i
# ltmain.sh is old, create new one
rm -f ltmain.sh
libtoolize --force


%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%configure \
   TESTSUITEDIR=%{_datadir}/sblim-testsuite \
   PROVIDERDIR=%{provider_dir} \
   LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";
# workaround libtool issue
sed -i -e '/not ending/ s/.*/true/' libtool
# do not use smp_flags!
make


%install
make install DESTDIR=$RPM_BUILD_ROOT
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/cmpi/*a


%files
%doc AUTHORS COPYING README
%{_datadir}/%{name}
%{_libdir}/cmpi/libcmpiLinux_Common.so*
%{_libdir}/cmpi/libcmpiLinux_ECTP_Provider.so*
%{_libdir}/cmpi/libcmpiSMIS_HBA_HDR_Provider.so*

%global SCHEMA %{_datadir}/%{name}/Linux_SMIS_HBA_HDR.mof %{_datadir}/%{name}/Linux_SMIS_ECTP.mof
%global REGISTRATION %{_datadir}/%{name}/Linux_SMIS_HBA_HDR.reg %{_datadir}/%{name}/Linux_SMIS_ECTP.reg

%pre
%sblim_pre

%post
%sblim_post

%preun
%sblim_preun

%postun -p /sbin/ldconfig


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 05 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0.0-13
- Update provider registration script to use systemctl to stop/start sfcb
- Use new macros for %%pre/%%post/%%preun from sblim-cmpi-devel
- Require cim-server instead of tog-pegasus, don't BuildRequire tog-pegasus-devel

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 27 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0.0-10
- Fix registration with Pegasus
- Fix path to documentation

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0.0-7
- Remove bogus BuildRequire of sblim-tools-libra-devel

* Mon Sep 10 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0.0-6
- Fix issues found by fedora-review utility in the spec file

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0.0-3
- Build with -fno-strict-aliasing, fix requires, fix registration files

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.0.0-1
- Initial support

